jQuery( document ).ready(function() {

    // SOCIETY6
    jQuery('.single-post .entry-content a').each(function() {
        if ( jQuery( this ).attr( 'href' ).includes('society6') ) {
            var temp = jQuery( this ).attr( 'href' ).split('/');
            var curator = temp[temp.length-1].split('?')[1];
            var slug = temp[temp.length-1].split('?')[0].split('_')[0];
            
            jQuery.ajax({
                type: 'POST',
                url: '/wp-admin/admin-ajax.php',
                data: {
                    action: 'load_society6',
                    url: 'https://society6.com/gateway/v1/carousels/alsoavailableas?creativeSlug=' + slug
                },
                success: function (output) {

                    var newWrap = document.createElement('div');
                    newWrap.className = 'section-inner society6-wrap';
                    var newH2 = document.createElement('h2');
                    var newSection = document.createTextNode('Buy at Society6');
                    newH2.appendChild(newSection);
                    newWrap.appendChild(newH2);

                    output.data.data.attributes.cards.forEach(function callback(currentValue, index, array) {

                        var newDiv = document.createElement('div');
                        newDiv.className = 'society6-el'
                        var newTitle = document.createElement('a');
                        // var newContent = document.createTextNode(currentValue.card.title);

                        var newContent = document.createTextNode(currentValue.meta.product_type.plural);

                        newTitle.href = 'https://society6.com' + currentValue.card.link.href + '&' + curator;
                        newTitle.target = '_blank';
                        var newLink = newTitle.cloneNode(true);
                        newTitle.appendChild(newContent);

                        var newImage = document.createElement('img');
                        newImage.src = currentValue.card.image.src;
                        newImage.loading = 'lazy';
                        newLink.appendChild(newImage);

                        newDiv.appendChild(newLink);
                        newDiv.appendChild(newTitle);

                        newWrap.appendChild(newDiv);
                    });

                   jQuery('.pagination-single').before(newWrap);
                }
            });

        }
    });

});